﻿@model MyApp.Web.ViewModels.ForgottenPassPhraseAccountViewModel

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;

}

@if (Model.IsResetSuccessful.HasValue && Model.IsResetSuccessful == true)
{
    <p class="summary">@MyApp.Web.Resources.EVAResource.waitforemailaccountproblems</p>
    @Html.ActionLink(@MyApp.Web.Resources.EVAResource.Backtohomescreen, "Login", "Account", null, new { @class = "shell-link-btn" });
}
else
{
    <h2>@MyApp.Web.Resources.EVAResource.forgotpasswordtitle</h2>

    <p class="summary">@MyApp.Web.Resources.EVAResource.forgottenpassphraseordidntgetemail</p>



    using (Html.BeginForm("ForgottenPassPhrase", "Account", FormMethod.Post, new { @class = "form-horizontal" }))
    {


        <h3>@MyApp.Web.Resources.EVAResource.forgotpasswordtitle</h3>

        @Html.InformationPanel(Model.Feedbackmessage)

        @Html.AntiForgeryToken()

        <section id="forgopasswordform">
            <div class="well">



                <div class="form-group">
                    @Html.LabelFor(x => x.EmailAddress)
                    @Html.TextBoxFor(m => m.EmailAddress, new { MaxLength = "100", @class = "disablecopypaste" })
                    @Html.ValidationMessageFor(m => m.EmailAddress)
                </div>

                <div class="form-group">
                    @Html.LabelFor(x => x.Captcha)
                    @Html.TextBoxFor(m => m.Captcha, new { MaxLength = "10" })
                    <img src="/Account/GetCaptchaImage?enid=@Model.CaptchaEncrypted&cachecode=@DateTime.Now.Ticks&rnd=@Model.RandomInt" class="captchimage" />
                    @Html.ValidationMessageFor(m => m.Captcha)
                    @Html.HiddenFor(x => x.CaptchaEncrypted)
                </div>

                <div class="form-group">
                    <div class="col-sm-offset-2 col-sm-10">
                        @Html.SubmitButton(@MyApp.Web.Resources.EVAResource.sendmemypassphrase)
                        @*@Html.SubmitButton(@MyApp.Web.Resources.EVAResource.resendaccountconfirmation)*@
                    </div>
                </div>



            </div>
        </section>

    }
}
